@import theme

.container
    padding: 20px 30px
    box-sizing: border-box

    margin: 0 auto

    max-width: $maxContentSize

.info
    display: flex
    flex-direction: column
    align-items: center

    padding: 20px
    box-sizing: border-box

    text-align: center

    background-color: $foregroundColor
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15)

> * + *:not(p)
    margin-top: 20px

+remove-margin-padding-title-and-p

::ng-deep .avatar
    .root
        height: 100px
        width: 100px
        font-size: 30px
        font-weight: 300

.forms
    display: flex
    flex-direction: column

    > form
        flex: 0 1 auto

        padding: 1em 1.5em
        box-sizing: border-box

        background-color: $foregroundColor

.actions
    margin-top: 20px

    > button + button
        margin-left: 10px

    button
        font-weight: 300
        border-radius: 0

    .mat-raised-button.mat-accent
        color: $foregroundColor

.hide-btn
    cursor: pointer

.info-form
    display: flex
    flex-direction: column
    alig-items: flex-start

    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15)

    h2
        margin-bottom: 20px

    .basic-info
        > * + *
            margin-left: 20px

.password-form
    display: flex
    flex-direction: column
    align-items: flex-start

    .mat-form-field
        width: 300px

mat-accordion
    margin-top: 20px
